Summary:   NoVnc console client application for use with Ovm Manager to view VirtualMachine console's
Name:      ovmcore-console
Version:   1.0
Release: 42%{?dist}
License:   MPL
Group:     User Interface/Desktops
URL:       http://www.oracle.com/virtualization
Source0:   ovmcore-console-1.0.tar.bz2
Patch1: dummy.patch
Patch2: rev273.patch
Patch3: rev281.patch
Patch4: rev289.patch
Patch5: rev297.patch
Patch6: rev305.patch
Patch7: rev313.patch
Patch8: rev336.patch
Patch9: rev344.patch
Patch10: rev352.patch
Patch11: rev360.patch
Patch12: rev368.patch
Patch13: rev376.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
This is the NoVNC client application files to use with OVM 3 Manager.
This allows the remote management of Virtual Machines through Ovm Manager.

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q -c %{name}-%{version} 
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/%{name}/
cp -a NoVnc $RPM_BUILD_ROOT/usr/lib/%{name}/NoVnc
cp -a jsTerm $RPM_BUILD_ROOT/usr/lib/%{name}/jsTerm

%clean
rm -rf $RPM_BUILD_ROOT 


%files
%defattr(-,root,root)
%doc LICENSE.txt
/usr/lib/ovmcore-console/*

%changelog
* Tue Sep 09 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-42 
- Added support for UTF-8 characters.
  Fixed a small issue on Firefox browsers with Ctrl-keys repeating + websocket issue on new ff 26
  Review: OVMCORECR-2934 [bug 19187642]  

* Thu Aug 28 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-41 
- Fixed Control-C behaviour [bug 19004079]  

* Thu Jul 17 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-40 
- Fix for clearing display when bottom and top margins are set and a off by 1 error when scrolling down
  Review: OVMCORECR-2868 [bug 18969505]  

* Mon Jun 30 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-39 
- Added another unused control character code @
  Added to prevent screen layout issues [bug 18094646]  

* Tue Jun 24 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-38 
- Fix for Foreign keyboards and special characters to be able to use in Vnc Console.
  Review: OVMCORECR-2838 [bug 18089107]  

* Mon Jun 02 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-37 
- Oracle-bug: 18085387
  Draw a cursor at the current position and blink it 

* Tue May 27 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0-36 
- Update license info

* Wed May 14 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-35 
- Oracle-bug: 18718817 - Fixed Esc M control code to adjust scrolling down correctly instead of scrolling up, This fixes the O (insert newline after cursor to insert text)
  Review: OVMCORECR-2773 

* Mon May 12 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-34 
- Oracle-bug: 18718470
  Added special Ctrl Key behaviour and mapping of keycodes
  Review: OVMCORECR-2767 

* Fri May 09 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-33 
- Oracle-bug: 18718534
  Oracle-bug: 18718817
  Oracle-bug: 18723233
  Oracle-bug: 18723510
  Fix multiple screen layout corruptions
  Scrolling window didnt take into consideration the bottom and top margins. added some unused Control codes
  Review: OVMCORECR-2762 

* Mon May 05 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-32 
- Oracle-bug: 18601762
  Fixed pressing Esc deleted last char in vi, added application mode for cursor keys
  Review: OVMCORECR-2751 

* Wed Apr 30 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-31 
- Oracle-bug: 18601892 Fix behaviour of the resize command so it doesnt crash the console and reports the current col/line
  Oracle-bug: 18672436 Add Vm Name on the window title
  Review: OVMCORECR-2736 

* Mon Apr 28 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-30 
- Oracle-bug: 18629490 - ping didn't always got send to clients when an unexpected error occured during disconnects, fixed a small synchronisation issue on loading fontmap image
  Review: OVMCORECR-2720 

* Wed Apr 23 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-29 
- New License free artwork assets for distribution
  Review: OVMCORECR-2713 
- rebase tarball  

* Fri Apr 11 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-28 
- Oracle-bug: 18520508
  Fix detection of Escape key and send correct code to the server
  Review: OVMCORECR-2691 

* Thu Apr 03 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-27 
- Oracle-bug: 18508244 - Fix Browser version check on Macintosh
  Review: OVMCORECR-2682 

* Tue Mar 18 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-26 
- Oracle-bug: 18416487 - Display a correct message when server cannot handle vnc connections (missing ability)
  Review: OVMCORECR-2634 

* Fri Mar 07 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-25 
- Oracle-bug: 18341638
  Review: OVMCORECR-2601
  Send resize desktop upon a reconnection to client 

* Thu Mar 06 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-24 
- Oracle-bug: 18341678
  Review: OVMCORECR-2594
  Changed name from OVM to Oracle VM 

* Tue Feb 25 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0-23
- package NoVNc/images

* Tue Feb 25 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0-22
- rebase source tarball

* Mon Feb 24 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-21 
- Oracle-bug: 18248153
  Added options for Toggling Ctrl and Alt keys.
  Refactored the toolbar to use image buttons instead of normal buttons 

* Tue Feb 04 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-20 
- Oracle-bug: 18175626
  Reversing colors needs to be done immediatly and not when receiving color changes only 

* Thu Jan 23 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-19 
- Oracle-bug: 18094646
  Fixed screen layout issues
  Review: OVMCORECR-2449 

* Tue Jan 21 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-18 
- Handle tabs 

* Fri Jan 17 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-17 
- Oracle-bug: 17992491
  Added vmName to connected state msg 

* Fri Jan 17 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-16 
- removed temp clipboard button (not ready, next release)
- Review: OVMCORECR-2431
  Oracle-bug: 18051666
  Fix cursor handling and line feed 

* Tue Jan 14 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-15 
- Oracle-bug: 18026346
  Added detection and error msg for unsupported browsers. Eg IE8, Firefox 6 ... 

* Fri Jan 10 2014 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-14 
- Oracle-bug: 17992491
  Oracle-bug: 18013068
  Add vm name to serial console
  Prevent keys to open specific browser actions 

* Thu Dec 19 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-13 
- Added support for Function keys in Serial console 

* Tue Dec 03 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-12 
- Oracle-bug: 17814034
  Some control character processing fixed 

* Mon Nov 25 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-11 
- Oracle-bug: 17666680, 17666567, problem with status msg on Windows and unable to take over connection, connection stalled. 

* Wed Nov 13 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-10 
- Added debug msg to investigate some bugs 

* Thu Oct 31 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-9 
- Oracle-bug: 17666567, 17666680
  Fixed a small bug when vm didnt have a serverpool assigned.
  Fixed a bug after reconnecting the rfb protocol wasnt in sync. 

* Thu Oct 17 2013 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0-8 
- rebase source tarball

* Thu Oct 17 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-7  
- removed obsolete eclipse settings

* Thu Oct 17 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-6 
- Oracle-bug: 17536520
  Fixed some issues in Firefox serial console code.
  Fixed Base64 encoding. Imported jquery so no internet connection needed anymore
  Layout changes 

* Mon Sep 23 2013 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0-5 
- correct packaging

* Thu Sep 19 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-4 
- OVMCORE-504: Support Serial Console/Terminal in HTML5 / websockets - rename of vnc_auto.html to ovm_vnc.html
  Review: OVMCORECR-1947 

* Thu Sep 19 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> - 1.0-3 
- OVMCORE-504: Support Serial Console/Terminal in HTML5 / websockets
  Review: OVMCORECR-1947 

* Thu Jul 25 2013 Jimmy Van Broeck <jimmy.van.broeck@oracle.com> 1.0-2
- OVMCORE-580 : Added extra websocket handler to aid in the sending 
  vm statusses back to the client, like disconnect, stop, start, migrate etc.

* Thu Jun 06 2013 Srinivas Maturi <srinivas.maturi@oracle.com> 1.0-1
- initial packaging (source from Jimmy Van Broeck <jimmy.van.broeck@oracle.com>)
